<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Opportunities',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Opportunities',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'created_by',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'first_name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'last_name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'business_center_name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'GetSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'start' => array(
                    'id' => 'start',
                                        'value' => '0',
                                    ),
                'length' => array(
                    'id' => 'length',
                                        'value' => '1',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'CurrentDateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'GetSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'start' => array(
                    'id' => 'start',
                                        'value' => '2',
                                    ),
                'length' => array(
                    'id' => 'length',
                                        'value' => '2',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'GetSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'start' => array(
                    'id' => 'start',
                                        'value' => '0',
                                    ),
                'length' => array(
                    'id' => 'length',
                                        'value' => '1',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'GetSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'start' => array(
                    'id' => 'start',
                                        'value' => '0',
                                    ),
                'length' => array(
                    'id' => 'length',
                                        'value' => '1',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Tags',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tags',
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tags',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tags',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand4' => array(
                    'id' => 'operand4',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand5' => array(
                    'id' => 'operand5',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tags',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tags',
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'LinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Tags',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Opportunities',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'opportunities_link',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Tags',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-3' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-3id',
            'toOperator' => 'op-3',
            'toConnector' => 'id'
        ),
        'link-4' => array(
            'from' => 'op-3entity',
            'fromOperator' => 'op-3',
            'fromConnector' => 'entity',
            'to' => 'op-4entity',
            'toOperator' => 'op-4',
            'toConnector' => 'entity'
        ),
        'link-5' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-6' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-7' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-3controlFlow',
            'toOperator' => 'op-3',
            'toConnector' => 'controlFlow'
        ),
        'link-9' => array(
            'from' => 'op-7value',
            'fromOperator' => 'op-7',
            'fromConnector' => 'value',
            'to' => 'op-8string',
            'toOperator' => 'op-8',
            'toConnector' => 'string'
        ),
        'link-10' => array(
            'from' => 'op-4fields0',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields0',
            'to' => 'op-9string',
            'toOperator' => 'op-9',
            'toConnector' => 'string'
        ),
        'link-11' => array(
            'from' => 'op-4fields1',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields1',
            'to' => 'op-10string',
            'toOperator' => 'op-10',
            'toConnector' => 'string'
        ),
        'link-14' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-12controlFlow',
            'toOperator' => 'op-12',
            'toConnector' => 'controlFlow'
        ),
        'link-15' => array(
            'from' => 'op-11entity',
            'fromOperator' => 'op-11',
            'fromConnector' => 'entity',
            'to' => 'op-12entity',
            'toOperator' => 'op-12',
            'toConnector' => 'entity'
        ),
        'link-16' => array(
            'from' => 'op-6result',
            'fromOperator' => 'op-6',
            'fromConnector' => 'result',
            'to' => 'op-13operand1',
            'toOperator' => 'op-13',
            'toConnector' => 'operand1'
        ),
        'link-17' => array(
            'from' => 'op-8result',
            'fromOperator' => 'op-8',
            'fromConnector' => 'result',
            'to' => 'op-13operand2',
            'toOperator' => 'op-13',
            'toConnector' => 'operand2'
        ),
        'link-18' => array(
            'from' => 'op-9result',
            'fromOperator' => 'op-9',
            'fromConnector' => 'result',
            'to' => 'op-13operand3',
            'toOperator' => 'op-13',
            'toConnector' => 'operand3'
        ),
        'link-19' => array(
            'from' => 'op-10result',
            'fromOperator' => 'op-10',
            'fromConnector' => 'result',
            'to' => 'op-13operand4',
            'toOperator' => 'op-13',
            'toConnector' => 'operand4'
        ),
        'link-21' => array(
            'from' => 'op-13result',
            'fromOperator' => 'op-13',
            'fromConnector' => 'result',
            'to' => 'op-12fields0',
            'toOperator' => 'op-12',
            'toConnector' => 'fields0'
        ),
        'link-22' => array(
            'from' => 'op-12controlFlow',
            'fromOperator' => 'op-12',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-23' => array(
            'from' => 'op-12entity',
            'fromOperator' => 'op-12',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-24' => array(
            'from' => 'op-14controlFlow',
            'fromOperator' => 'op-14',
            'fromConnector' => 'controlFlow',
            'to' => 'op-15controlFlow',
            'toOperator' => 'op-15',
            'toConnector' => 'controlFlow'
        ),
        'link-25' => array(
            'from' => 'op-14entity',
            'fromOperator' => 'op-14',
            'fromConnector' => 'entity',
            'to' => 'op-15objectEntity',
            'toOperator' => 'op-15',
            'toConnector' => 'objectEntity'
        ),
        'link-26' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-15subjectEntity',
            'toOperator' => 'op-15',
            'toConnector' => 'subjectEntity'
        ),
        'link-38' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-13operand5',
            'toOperator' => 'op-13',
            'toConnector' => 'operand5'
        ),
        'link-39' => array(
            'from' => 'op-4fields2',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields2',
            'to' => 'op-6string',
            'toOperator' => 'op-6',
            'toConnector' => 'string'
        ),
        'link-40' => array(
            'from' => 'op-3controlFlow',
            'fromOperator' => 'op-3',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
    )
);
