<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5f6b136e527e68_11358065/operators/FlowchartOperator_lb5f6b136e527e68_11358065.php';

class SetEntityAttributesOperator_lb5f6b136e527e68_11358065_op12 extends FlowchartOperator_lb5f6b136e527e68_11358065{

    protected $entity;
    protected $attributes;

    public function __construct($params){
        parent::__construct($params);
    }

    public function process($params = array()){
        $this->initBeanWithInData();
    }

    protected function initBeanWithInData(){
        $fieldDef = $this->entity->field_defs['name'];
        switch($fieldDef['type']){
            case 'date':
            case 'datetime':
            case 'datetimecombo':
                require_once 'custom/PxRoutines/LogicBuilderPackages/lb5f6b136e527e68_11358065/helpers/DateTimeConverter_lb5f6b136e527e68_11358065.php';
                $newValue = DateTimeConverter_lb5f6b136e527e68_11358065::convertDateForEntitySet($fieldDef, $this->attributes['name']);
                $this->entity->name = $newValue;
                break;
            default:
                $this->entity->name = $this->attributes['name'];
            }
    }

    public function setInDataPortById($id, $value){
        if(!empty($this->inDataPorts[$id])){
            if($value instanceof SugarBean){
                $this->entity = $value;
            }else{
                $this->attributes[$this->inDataPorts[$id]['value']] = $value;
            }
        }
    }

    public function getOutDataByPortId($portId){
        return $this->entity;
    }

}
